import server from "./src/server.js";

const PORT = process.env.PORT || 3000;
const HOST = process.env.HOST || "127.0.0.1";

server.listen(PORT, HOST, () => {
  console.log(`Todo API running at http://${HOST}:${PORT}/`);
  console.log("Available endpoints:");
  console.log("  GET    /todos     - Get all todos");
  console.log("  POST   /todos     - Create todo");
  console.log("  PUT    /todos/:id - Update todo");
  console.log("  DELETE /todos/:id - Delete todo");
});
